Bug 522971 - pidgin-guifications plugin partially respects theme colors
Summary: pidgin-guifications plugin partially respects theme colors
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin-guifications
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 22:09 UTC by J. Randall Owens
Modified: 2010-06-28 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:37:33 UTC


Attachments (Terms of Use)

Description J. Randall Owens 2009-09-12 22:09:33 UTC
Description of problem:
When I use any of the three standard themes for the guifications plugin, it seems like it uses the text color from my KDE or GTK theme, but uses the same grey background regardless, resulting in a completely unreadable light-grey-on-light-grey popup.  (I have no idea whether any of that is controlled by the guifications theme or not.)

Version-Release number of selected component (if applicable):
pidgin-guifications-2.16-3.fc11.i586

How reproducible:
Very

Steps to Reproduce:
1. install pidgin, pidgin-guifications, KDE
2. set KDE color scheme to Obsidian Coast, GTK style to Darklooks, guifications theme any
3. run pidgin, wait for a notification popup
  
Actual results:
Unreadable grey-on-grey mystery popup

Expected results:
Readable black-on-grey (ignoring KDE settings consistently) or grey-on-black (using KDE settings consistently) text

Additional info:
If you have any idea what the actually relevant theme settings are, point me at them and I can report what I have.
Also, if there's a way to simply have KDE selectively apply a different theme to pidgin(-guifications) only, just point me at it and I'll consider the matter settled.

Comment 1 Bug Zapper 2010-04-28 10:19:40 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:37:33 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.